
IPAACA - Feature #463

Feature # 466 (New): IPAACA v3

v3: Expose more event data

2016-02-16 14:07 - Ramin Yaghoubzadeh

Status: New Start date: 2015-11-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

In v2, IU events handlers were restricted to the signature handle_event(iu, evt_type, local), not being able to access event metadata

(deltas, modified / deleted keys, owner name). A new, parallel, handler signature / registration is to be implemented that exposes all

these data to the application developer. Compatibility of old application source code should be maintained as far as possible.

Subtasks:

Feature # 435: Expose whether an ADDED event is caused through resending New

History

#1 - 2016-02-16 14:16 - Ramin Yaghoubzadeh

- Tracker changed from Bug to Feature

#2 - 2016-02-16 14:18 - Ramin Yaghoubzadeh

This should also include #435 (whether a resend_request was responsible for IU buffer addition).

#3 - 2016-02-16 14:30 - Ramin Yaghoubzadeh

- Parent task set to #466
